Subject: Re: [PATCH v2 0/22] Yet Another Unused Parameter Series

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Aug 2023 18:00:10 -0700

Jeff King <[email-masked]> writes:

> On Mon, Aug 28, 2023 at 05:46:04PM -0400, Jeff King wrote:
>
>> I'm back with another exciting installment of -Wunused-parameter warning
>> fixes. Most of these are pretty boring and obvious; the first two are
>> the most interesting in terms of rationale.
>> 
>> I promise we're closing in on the finish line here. I only have about 20
>> patches left after this, at which point we should be able to turn on the
>> warning by default for developer builds.
>
> And here's a v2 based on feedback from round 1. The changes are small,
> so I'll let the range-diff below speak for itself.

The first one in this round is consistently more conservative
compared to the previous round, which is very nice.

All other updates do look good, too.

Will replace.  Thanks.